Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class ECNamedDomainParameters

    java.lang.Object
      org.bouncycastle.crypto.params.ECDomainParameters
          org.bouncycastle.crypto.params.ECNamedDomainParameters

All Implemented Interfaces:
  ECConstants

Direct Known Subclasses:
  ECGOST3410Parameters

public class ECNamedDomainParameters
extends ECDomainParameters

Field Summary

Fields inherited from interface org.bouncycastle.math.ec.ECConstants
`EIGHT, FOUR, ONE, THREE, TWO, ZERO`

Constructor Summary
`ECNamedDomainParameters(ASN1ObjectIdentifier name, ECCurve curve, ECPoint G, java.math.BigInteger n)`
`ECNamedDomainParameters(ASN1ObjectIdentifier name, ECCurve curve, ECPoint G, java.math.BigInteger n, java.math.BigInteger h)`
`ECNamedDomainParameters(ASN1ObjectIdentifier name, ECCurve curve, ECPoint G, java.math.BigInteger n, java.math.BigInteger h, byte[] seed)`
`ECNamedDomainParameters(ASN1ObjectIdentifier name, ECDomainParameters domainParameters)`
`ECNamedDomainParameters(ASN1ObjectIdentifier name, X9ECParameters x9)`

Method Summary
`ASN1ObjectIdentifier` | `getName()`
`static ECNamedDomainParameters` | `lookup(ASN1ObjectIdentifier name)`

Methods inherited from class org.bouncycastle.crypto.params.ECDomainParameters
`equals, getCurve, getG, getH, getHInv, getN, getSeed, hashCode, validatePrivateScalar, validatePublicPoint`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECNamedDomainParameters

    public ECNamedDomainParameters(ASN1ObjectIdentifier name,
                                   ECCurve curve,
                                   ECPoint G,
                                   java.math.BigInteger n)

### ECNamedDomainParameters

    public ECNamedDomainParameters(ASN1ObjectIdentifier name,
                                   ECCurve curve,
                                   ECPoint G,
                                   java.math.BigInteger n,
                                   java.math.BigInteger h)

### ECNamedDomainParameters

    public ECNamedDomainParameters(ASN1ObjectIdentifier name,
                                   ECCurve curve,
                                   ECPoint G,
                                   java.math.BigInteger n,
                                   java.math.BigInteger h,
                                   byte[] seed)

### ECNamedDomainParameters

    public ECNamedDomainParameters(ASN1ObjectIdentifier name,
                                   ECDomainParameters domainParameters)

### ECNamedDomainParameters

    public ECNamedDomainParameters(ASN1ObjectIdentifier name,
                                   X9ECParameters x9)

Method Detail

### lookup

    public static ECNamedDomainParameters lookup(ASN1ObjectIdentifier name)

### getName

    public ASN1ObjectIdentifier getName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD